[arch-commits] Commit in libmng/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jan 16 15:44:10 EST 2010


    Date: Saturday, January 16, 2010 @ 15:44:09
  Author: jgc
Revision: 63248

upgpkg: libmng 1.0.10-3
    Rebuild for libjpeg-8

Modified:
  libmng/trunk/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-16 19:08:01 UTC (rev 63247)
+++ PKGBUILD	2010-01-16 20:44:09 UTC (rev 63248)
@@ -3,23 +3,23 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=libmng
 pkgver=1.0.10
-pkgrel=2
+pkgrel=3
 pkgdesc="A collection of routines used to create and manipulate MNG format graphics files"
 arch=('i686' 'x86_64')
 url="http://www.libmng.com/"
 license=('custom')
-depends=('zlib' 'libjpeg>=7')
+depends=('zlib' 'libjpeg>=8')
 options=(!libtool)
 source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
 md5sums=('a464ae7d679781beebdf7440d144b7bd')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ln -s makefiles/configure.in .
   ln -s makefiles/Makefile.am .
   autoreconf --force --install
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list